DAOS API: daos_rebuild_status Struct Reference

| DAOS API (v2.1 - dev)

Loading...
Searching...
No Matches
daos_rebuild_status Struct Reference

`#include <daos_pool.h>`

## Data Fields
uint32_t | rs_version
uint32_t | rs_seconds
int32_t | rs_errno
union { |
int32_t rs_state |
int32_t rs_done |
}; |
uint16_t | rs_max_supported_layout_ver
int16_t | rs_padding16
int32_t | rs_fail_rank
uint64_t | rs_toberb_obj_nr
uint64_t | rs_obj_nr
uint64_t | rs_rec_nr
uint64_t | rs_size

## Detailed Description

Pool rebuild status

Definition at line 111 of file daos_pool.h.

## Field Documentation

## ◆ [union]

union { ... }

rebuild state, DRS_COMPLETED is valid only if rs_version is non-zero

## ◆ rs_done

int32_t rs_done

Definition at line 123 of file daos_pool.h.

## ◆ rs_errno

int32_t rs_errno

errno for rebuild failure

Definition at line 117 of file daos_pool.h.

## ◆ rs_fail_rank

int32_t rs_fail_rank

Failure on which rank

Definition at line 131 of file daos_pool.h.

## ◆ rs_max_supported_layout_ver

uint16_t rs_max_supported_layout_ver

Maximum supported layout version

Definition at line 126 of file daos_pool.h.

## ◆ rs_obj_nr

uint64_t rs_obj_nr

number of rebuilt objects. Non-zero only if rs_state is completed.

Definition at line 140 of file daos_pool.h.

## ◆ rs_padding16

int16_t rs_padding16

padding of rebuild status

Definition at line 128 of file daos_pool.h.

## ◆ rs_rec_nr

uint64_t rs_rec_nr

number of rebuilt records. Non-zero only if rs_state is completed.

Definition at line 142 of file daos_pool.h.

## ◆ rs_seconds

uint32_t rs_seconds

Time (Seconds) for the rebuild

Definition at line 115 of file daos_pool.h.

## ◆ rs_size

uint64_t rs_size

rebuild space cost

Definition at line 145 of file daos_pool.h.

## ◆ rs_state

int32_t rs_state

Definition at line 122 of file daos_pool.h.

## ◆ rs_toberb_obj_nr

uint64_t rs_toberb_obj_nr

total number of objects to be rebuilt. Non-zero and increases when rebuilding is in progress. When rs_state is DRS_COMPLETED it will not change anymore and should be equal to rs_obj_nr. With both rs_toberb_obj_nr and rs_obj_nr the user can know the progress of rebuilding.

Definition at line 138 of file daos_pool.h.

## ◆ rs_version

uint32_t rs_version

pool map version in rebuilding or last completed rebuild

Definition at line 113 of file daos_pool.h.

The documentation for this struct was generated from the following file:

- src/include/daos_pool.h